#ifndef _Handle_PColgp_SeqNodeOfHSequenceOfVec_HeaderFile
#define _Handle_PColgp_SeqNodeOfHSequenceOfVec_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class PColgp_SeqNodeOfHSequenceOfVec;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_SeqNodeOfHSequenceOfVec);

class Handle(PColgp_SeqNodeOfHSequenceOfVec) : public Handle(PMMgt_PManaged) {
  public:

    Handle(PColgp_SeqNodeOfHSequenceOfVec)():Handle(PMMgt_PManaged)() {} 
    Handle(PColgp_SeqNodeOfHSequenceOfVec)(const Handle(PColgp_SeqNodeOfHSequenceOfVec)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(PColgp_SeqNodeOfHSequenceOfVec)(const PColgp_SeqNodeOfHSequenceOfVec* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(PColgp_SeqNodeOfHSequenceOfVec)& operator=(const Handle(PColgp_SeqNodeOfHSequenceOfVec)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_SeqNodeOfHSequenceOfVec)& operator=(const PColgp_SeqNodeOfHSequenceOfVec* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_SeqNodeOfHSequenceOfVec* operator->() const 
     {
      return (PColgp_SeqNodeOfHSequenceOfVec *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_SeqNodeOfHSequenceOfVec) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
